Bound (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.cql3.statements

## Enum Bound

- java.lang.Object
- - java.lang.Enum<Bound>
  - - org.apache.cassandra.cql3.statements.Bound

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Bound>

      public enum Bound
      extends java.lang.Enum<Bound>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `END`
    `START`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `idx`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Bound` | `reverse(Bound b)`
    `static Bound` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Bound[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### START

          public static final Bound START

    - #### END

          public static final Bound END

  - ### Field Detail

    - #### idx

          public final int idx

  - ### Method Detail

    - #### values

          public static Bound[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Bound c : Bound.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Bound valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### reverse

          public static Bound reverse(Bound b)

Copyright © 2014 The Apache Software Foundation